$PACKAGE = "PIXMAP", $UBIQUITUS=1;

~handles
	XPM

~require 
	pixmap.inc
	privateQuark iconPixmap
	privateQuark xpmList
	init wafeRegisterXpmTypeConverter(XtRBitmap, False);
	init wafeRegisterXpmTypeConverter(XtRPixmap, True);

#> The command 'changePixmap' sets a attribute of type 'Pixmap' (2nd
#> argument) of a widget (1st argument) to the specified image (3rd
#> argument). 'changePixmap' keeps track of converted pixmaps by
#> maintaining its own pixmap cache.  A pixmap can be released by
#> setting the attribute to another pixmap or to one of the following
#> values: 'None', 'ParentRelative', or 'Unspecified'. If
#> there are no references to a pixmap, all resources (allocated
#> memory as well as color cells) of the pixmap are released. 
#> 
#> 'changePixmap' can handle shaped pixmaps significantly better then
#> sV where Xt's cacheing mechanism can prevent shaping of windows.
#> 
#> When the attribute name is 'iconPixmap' the icon pixmap for any
#> shell widget can be set; please note, that if the window manager
#> mwm (or a derivative of it) is used the icon pixmap must be set
#> before the shell is realized, otherwise the window manager will
#> provide it own (unaccesible) icon window.
#> 
#> If error conditions occur 'changePixmap' raises a Tcl exception,
#> which can be caught by the Tcl command 'catch'.

hint: XPM
TCL_RETURN_CODE
wafeChangePixmap vulgo changePixmap
	in: Widget			# widget
	in: String			# resource
	in: String			# pixmap file

